private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["MG",this] call compile preprocessFileLineNumbers "AAFgear.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla


if (_unit isKindof "Man") then
{
	removeUniform _unit;
	removeVest _unit;
	removeBackpack _unit;
	removeHeadgear _unit;
	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	_unit addweapon "ACE_NVG_Gen4";
	_unit additem "ACE_EarPlugs";
	_unit additem "Chemlight_Green";
	_unit additem "Chemlight_Green";
	removeGoggles _unit;
	_unit linkItem "tf_microdagr";
	_unit removeweapon "ACE_NVG_Gen4";
};


if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	clearBackpackCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "guer", true];
	_unit setVehicleLock "UNLOCKED";
	_unit setVariable ["AFI_vehicle_gear","guer",true];
};

if (_unit isKindOf "thing") then
{
    _unit setVariable ["AFI_vehicle_gear","guer",true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",1]];

			{
				_item = _x select 0;
				_count = _x select  1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",20],["ACE_morphine",10],["ACE_bloodIV_500",4],["ACE_epinephrine",5]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};


_fnc_TUNrensselit = {

	//Params [unit, mode] call _fnc_TUNrensselit;
	_unit = _this select 0;
	_reppu = _this select 1;
	_tykki = _this select 2;

	removeUniform _unit;
	removeVest _unit;
	removeBackpack _unit;
	removeHeadgear _unit;
	removeGoggles _unit;


_kukkahattu = ["H_Bandanna_gry","H_Bandanna_blu","H_Bandanna_cbr","H_Bandanna_khk","H_Bandanna_mcamo","H_Bandanna_sgg","H_Bandanna_sand","H_Bandanna_surfer","H_Bandanna_surfer_blk","H_Bandanna_surfer_grn","H_Bandanna_camo","rhs_beanie_green","rhs_beanie","H_Beret_blk","rhs_Booniehat_digi","rhs_Booniehat_flora","H_Booniehat_khk","H_Booniehat_mcamo","H_Booniehat_oli","H_Booniehat_tan","H_Booniehat_dgtl","rhs_Booniehat_m81","rhs_Booniehat_marpatd","rhs_Booniehat_marpatwd","rhs_Booniehat_ocp","rhs_Booniehat_ucp","H_Cap_grn_BI","H_Cap_surfer","H_Hat_blue","H_Hat_brown","H_Hat_camo","","",""]call bis_fnc_selectRandom;

_hattu = ["1","2","3","4","","",""] call bis_fnc_selectRandom;

//hattu
	switch (_hattu) do {

	    case "1": {
			_huppu = ["H_ShemagOpen_khk","H_ShemagOpen_tan","H_Shemag_olive"]call bis_fnc_selectRandom;
			_unit addHeadgear _huppu;
	    };

	    case "2": {
			_naamio = ["G_Balaclava_blk","G_Balaclava_oli"]call bis_fnc_selectRandom;
			_unit addGoggles _naamio;
	    };

	    case "3": {
		_unit addHeadgear _kukkahattu;
	    };

	    case "4": {
			_Goggles = ["G_Aviator","G_Bandanna_aviator","G_Bandanna_beast","G_Bandanna_blk","G_Bandanna_khk","G_Bandanna_khk","G_Bandanna_shades","G_Bandanna_sport","G_Bandanna_tan","G_Spectacles_Tinted","G_Squares","G_Spectacles"]call bis_fnc_selectRandom;
			_unit addGoggles _Goggles;
			_unit addHeadgear _kukkahattu;
	    };

	    default {
			_allah = ["Afghan_01Hat","Afghan_02Hat","Afghan_03Hat","Afghan_04Hat","Afghan_05Hat","Afghan_06Hat"]call bis_fnc_selectRandom;
			_unit addHeadgear _allah;
	    };
	};


//puku
_allahinpuku = ["1","",""] call bis_fnc_selectRandom;

if (_allahinpuku == "1") then
{
	_uniform = ["U_BG_Guerrilla_6_1","U_BG_Guerilla1_1","U_C_HunterBody_grn","MNP_CombatUniform_Militia_DE","MNP_CombatUniform_Militia_DB","MNP_CombatUniform_Militia_DA","MNP_CombatUniform_Militia_DF"] call bis_fnc_selectRandom;
	_unit forceAddUniform _uniform;

	_liivi = ["rhs_6sh46","V_BandollierB_blk","V_BandollierB_cbr","V_BandollierB_rgr","V_BandollierB_khk","V_BandollierB_oli","rhs_vydra_3m","rhs_6sh46","V_BandollierB_blk","V_BandollierB_cbr","V_BandollierB_rgr","V_BandollierB_khk","V_BandollierB_oli","rhs_vydra_3m"] call BIS_fnc_selectRandom;
	_unit addVest _liivi;
}
else
{
	_uniform = ["U_Afghan01NH","U_Afghan02NH","U_Afghan03NH","U_Afghan06NH"] call bis_fnc_selectRandom;
	_unit forceAddUniform _uniform;
	_unit addVest "rhs_6sh46";
};



//repun valinta
		switch (_reppu) do {

	    case "sl": {
			[_unit, "tf_anprc155_coyote"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "rpg": {
			[_unit, "rhs_rpg_empty"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "exp": {
			[_unit, "MNP_B_Carryall_PLA_Basic_D"] call _fnc_BUMCheckAddBackpack;
	    };

	    default
	    {
			_Rreppu = ["B_FieldPack_blk","B_FieldPack_cbr","B_FieldPack_ocamo","B_FieldPack_khk","B_FieldPack_oli","B_FieldPack_oucamo","rhs_rpg_empty","rhs_sidor"] call bis_fnc_selectRandom;
			[_unit, _Rreppu] call _fnc_BUMCheckAddBackpack;
	    };
	};


_tyyppi2 = ["1","2","3","4","3","4"] call bis_fnc_selectRandom;

//aseen valinta
		switch (_tykki) do {

	    case "gl": {
	    		_GL = ["rhs_weap_akm_gp25","rhs_weap_akms_gp25"] call BIS_fnc_selectRandom;
				_items = [_GL];
				_magazines = [["rhs_30Rnd_762x39mm_89",7],["rhs_VOG25P",3],["rhs_VOG25",3],["rhs_GRD40_White",3],["rhs_VG40TB",1]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
	    };

	    case "mar": {
	    		_kanuuna1 = ["rhs_weap_ak104","rhs_weap_ak103","rhs_weap_akm","rhs_weap_akms","rhs_weap_m70ab2","rhs_weap_m70b1","rhs_weap_m92"] call bis_fnc_selectRandom;
				_items = [_kanuuna1];
				_magazines = [["rhs_30Rnd_762x39mm_89",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
				_unit addPrimaryWeaponItem "rhs_acc_pso1m2";
	   	};
	    case "kk": {

	    		_kanuuna2 = ["rhs_weap_pkp","rhs_weap_pkm"] call bis_fnc_selectRandom;
				_items = [_kanuuna2];
				_magazines = [["rhs_100Rnd_762x54mmR",5]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;

	};

	    case "sha": {
	    	_swd = ["rhs_weap_svdp","rhs_weap_svdp_wd","rhs_weap_svds"] call BIS_fnc_selectRandom;
			_items = [_swd];
			_magazines = [["rhs_10Rnd_762x54mmR_7N1",10]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
			_unit addPrimaryWeaponItem "rhs_acc_pso1m2";
	    };

	    case "crew": {
			_items = ["rhs_weap_aks74u"];
			_magazines = [["rhs_30Rnd_545x39_7N22_AK",4]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
			_unit addPrimaryWeaponItem "rhs_acc_pso1m2";
	    };

	    default
	    {
	    	if (_tyyppi2 == "1") then
	    	{
	    		_kanuuna1 = ["rhs_weap_ak104","rhs_weap_ak103","rhs_weap_akm","rhs_weap_akms","rhs_weap_m70ab2","rhs_weap_m70b1","rhs_weap_m92"] call bis_fnc_selectRandom;
				_items = [_kanuuna1];
				_magazines = [["rhs_30Rnd_762x39mm_89",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
	    	}
	    	else
	    	{
		    		if (_tyyppi2 == "2") then
		    	{
					_kanuuna2 = ["rhs_weap_ak105","rhs_weap_ak74m","rhs_weap_ak74m_2mag","rhs_weap_ak74m_2mag_camo","rhs_weap_ak74m_camo","rhs_weap_ak74m_desert","rhs_weap_ak74m_plummag","rhs_weap_ak74m_fullplum","rhs_weap_aks74u","rhs_weap_aks74un"] call bis_fnc_selectRandom;
					_items = [_kanuuna2];
					_magazines = [["rhs_30Rnd_545x39_7N22_AK",7]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;
		    	}
		    	else
		    	{
		    		if (_tyyppi2 == "3") then
		    	{
					_items = ["rhs_weap_kar98k"];
					_magazines = [["rhsgref_5Rnd_792x57_kar98k",10]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;
		    	}
		    	else
		    	{
		    		if (_tyyppi2 == "4") then
		    	{
					_items = ["rhs_weap_m38"];
					_magazines = [["rhsgref_5Rnd_762x54_m38",10]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;
		    	}
	    	};

	    };
	};
};
};
};






switch (_type) do
{
	Case "PL":
	{
		[_unit, "sl","gl"] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "SL":
	{
		[_unit, "sl","gl"] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "TL":
	{
		[_unit, "","gl"] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "MARK":
	{
		[_unit, "","mar"] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "SHAR":
	{
		[_unit, "","sha"] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "KK":
	{
		[_unit, "","kk"] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "KKAS":
	{
		[_unit, "",""] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit setVariable["displayName", "Kapinallisten :n avustaja"];
	};

	Case "crew":
	{
		[_unit, "","crew"] call _fnc_TUNrensselit;
		_items = ["Binocular"];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};
	Case "RPG":
	{
		[_unit, "rpg",""] call _fnc_TUNrensselit;
		_items = ["rhs_weap_rpg7"];
		_magazines = [["rhs_rpg7_PG7VL_mag",1],["rhs_rpg7_OG7V_mag",1],["rhs_rpg7_PG7VR_mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RPGAS":
	{
		[_unit, "","rpg"] call _fnc_TUNrensselit;
		_items = [];
		_magazines = [["rhs_rpg7_PG7VL_mag",1],["rhs_rpg7_OG7V_mag",1],["rhs_rpg7_TBG7V_mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "RIF":
	{
		[_unit, "",""] call _fnc_TUNrensselit;
		_items = [];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "Medic":
	{
		[_unit, "exp",""] call _fnc_TUNrensselit;
		_items = [];
		_magazines = [["rhs_mag_rdg2_white",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "EXP":
	{
		[_unit, "exp",""] call _fnc_TUNrensselit;
		_items = [];
		_unit addVest "V_PlateCarrierH_CTRG";
		_magazines = [["rhs_mine_pmn2_mag",0],["IEDUrbanBig_Remote_Mag",1],["IEDLandBig_Remote_Mag",1],["IEDUrbanSmall_Remote_Mag",1],["IEDLandSmall_Remote_Mag",1],["ATMine_Range_Mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_DeadManSwitch";
	};

		Case "GRE":
	{
		[_unit, "","gl"] call _fnc_TUNrensselit;
		_items = [];
		_magazines = [];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "Auto": //perus
	{
		_unit addItemCargoGlobal ["FirstAidKit",5];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];

	};

};


if (_unit isKindof "Man") then
{
		_magazines = [["rhs_mag_rgd5",3],["SmokeShell",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		_unit addItem "ACE_Cellphone";

};



